<div style="color:red; font-weight: bold; text-align: center; margin-bottom: 10px; margin-top: 10px;">Dates du séjour : du 23/07/2022 au 06/08/2022.</div>
<form class="formAchat" [formGroup]="profilForm" (ngSubmit)="submitProfil()">
  <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">S'inscrire à une nouvelle édition</div>

  <div class="form__container">
    <span class="form__libelle">J'arrive le</span>
    <mat-select (selectionChange)="onEditionArriveeDate()" class="form__field" formControlName="arrivee_date" name="arrivee_date">
      <mat-option *ngFor="let date of dates_aller" [value]="date">
        {{date}}
      </mat-option>
    </mat-select>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container" *ngIf="arrivee_date">
    <span class="form__libelle">Nombre de jours où je viens</span>
    <mat-select (selectionChange)="onEditionNbJours($event)" class="form__field" formControlName="nb_jours" name="nb_jours" required>
      <ng-container *ngFor="let jour of nb_jours_nuits">
<!--        <mat-option *ngIf="checkNbJours(jour.nb_jours) == true" [value]="jour.nb_jours">{{jour.nb_jours}} </mat-option>-->
        <mat-option *ngIf="checkNbJours(jour.nb_nuits) == true" [value]="jour.nb_jours">{{jour.nb_jours * 1}} <span *ngIf="jour.nb_jours != jour.nb_nuits"> - {{jour.nb_nuits * 1}} nuit(s)</span></mat-option>
      </ng-container>
    </mat-select>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container" *ngIf="nb_jours <= nb_jours_une_semaine && checkDisplaySemaine()">
    <span class="form__libelle">Semaine où je viens:</span>
    <span class="form__field">{{semaine == 1 ? 'Première' : ''}}{{semaine == 2 ? 'Deuxième' : ''}}</span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container">
    <span class="form__libelle">Je bois de l'alcool (hors bières)</span>
    <mat-radio-group class="form__field" formControlName="alcool" aria-label="Select an option">
      <mat-radio-button value="1">Oui (même un peu)</mat-radio-button>
      <mat-radio-button style="margin-left: 10px" value="0">Non pas du tout</mat-radio-button>
    </mat-radio-group>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container">
    <span class="form__libelle">Je suis végétarien</span>
    <mat-radio-group class="form__field" formControlName="vegetarien" aria-label="Select an option">
      <mat-radio-button value="1">Oui</mat-radio-button>
      <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
    </mat-radio-group>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
    <span class="form__libelle">J'aurai le pass vaccinal</span>
    <mat-radio-group class="form__field" formControlName="pass_sanitaire" aria-label="Select an option">
      <mat-radio-button value="1">Oui</mat-radio-button>
      <mat-radio-button style="margin-left: 10px" value="0">Non</mat-radio-button>
    </mat-radio-group>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
      <span style="font-weight: bold; margin-right: 20px">J'ai lu et j'accepte la charte de conduite disponible <a
        href="{{charteUrl}}" target="_blank">ici</a></span>
    <span><mat-checkbox formControlName="luEtAccepte" name="luEtAccepte" required></mat-checkbox></span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
    <span style="font-weight: bold; margin-right: 20px">Je m'engage à rembourser le prix du séjour. (250€ la semaine sans covoit, 300€ avec 2 covoits depuis Aix-Marseille. Ces prix peuvent évoluer.)</span>
    <span><mat-checkbox formControlName="luEtAccepteMontant" name="luEtAccepteMontant" required></mat-checkbox></span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
    <span style="font-weight: bold; margin-right: 20px">Je suis conscient qu'il faut amener des draps, des serviettes et des vêtements <b>CHAUDS</b>.</span>
    <span><mat-checkbox formControlName="luEtAccepteDraps" name="luEtAccepteDraps" required></mat-checkbox></span>
    <mat-divider></mat-divider>
  </div>
  <div style="text-align: center">
    <button mat-button type="submit"
            style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px"
            cdkFocusInitial>S'inscrire pour la nouvelle édition
    </button>
  </div>
</form>
<div style="margin-top: 50px; text-align: center; font-size: 200%; font-weight: bold">INSCRITS</div>
<div class="form__container" style="margin-bottom: 0px; margin-top: 25px; font-style: italic">
  <span class="form__libelle">Nombre de personnes la première semaine</span>
  <span class="form__field">{{nb_semaine_1}}/12</span>
  <mat-divider></mat-divider>
</div>
<div class="form__container" style="margin-bottom: 25px; margin-top: 0px; font-style: italic">
  <span class="form__libelle">Nombre de personnes la deuxième semaine</span>
  <span class="form__field">{{nb_semaine_2}}/12</span>
  <mat-divider></mat-divider>
</div>
<div class="form__container" style="margin-bottom: 25px; margin-top: 25px; font-weight: bold">
  <span class="form__libelle">Blaze</span>
  <span class="form__field">Semaine</span>
  <mat-divider></mat-divider>
</div>
<div class="form__container" *ngFor="let user of users_list;">
  <span class="form__libelle">{{user.nom}}</span>
  <span *ngIf="user.semaine == 0" class="form__field">Toutes</span>
  <span *ngIf="user.semaine == 1" class="form__field">1</span>
  <span *ngIf="user.semaine == 2" class="form__field">2</span>
  <mat-divider></mat-divider>
</div>

